<?php
/*
Plugin Name: Dahz DF Shortcodes
Plugin URL: http://dahztheme.com/
Description:  Extensible shortcodes functionality for Loma theme and plugins ( strongly required ).
Version: 0.1
Author: Dahz
Author URI: http://dahztheme.com/
*/

if (!defined('ABSPATH')) die('-1');

// Define Constants
// =============================================================================
define( 'DF_SHORTCODES_URL', plugins_url( '', __FILE__ ) );
define( 'DF_SHORTCODES_PATH', plugin_dir_path( __FILE__ ) );

if ( ! class_exists( 'df_Shortcodes' ) ) :
	class df_Shortcodes {
		function df_Shortcodes() {
			add_action( 'wp_enqueue_scripts', array( &$this, 'df_shortcodes_enqueue_styles' ));
			add_action( 'wp_enqueue_scripts', array( &$this, 'df_shortcodes_enqueue_scripts' ));
			add_action( 'init', array( &$this, 'df_shortcodes_init' ) );
			add_action( 'init', array( &$this, 'df_shortcodes_init_button' ) );
		}
		/*=============================
		   	Front-end Scripts & Styles 
	   	============================= */
		function df_shortcodes_enqueue_styles() {
			if( ! is_admin() ) :
			    wp_register_style( 'df-shortcodes-style', DF_SHORTCODES_URL . '/css/shortcodes.css', NULL, '1.0.0');
			    wp_enqueue_style( 'df-shortcodes-style' );

				if (is_rtl()) {
				    wp_enqueue_style( 'df-shortcodes-rtl-style', DF_SHORTCODES_URL . '/css/shortcodes-rtl.css', NULL, '1.0.0');
				}
			endif;
		}

		function df_shortcodes_enqueue_scripts() {
			if( ! is_admin() ) :
				wp_register_script( 'df-shortcodes-query', DF_SHORTCODES_URL . '/js/jquery.min.js', array( 'jquery' ), '', true );
				wp_enqueue_script('df-shortcodes-query');
				wp_register_script( 'df-shortcodes-script', DF_SHORTCODES_URL . '/js/shortcodes.min.js', array( 'jquery' ), '', true );
				wp_enqueue_script('df-shortcodes-script');
			endif;
		}
		/*=============================
		   	Back-end Scripts & Styles 
	   	============================= */
	   	function df_shortcodes_init() {
			require_once DF_SHORTCODES_PATH . '/shortcodes/shortcodes.php' ;
	   	}

	   	/*=============================
		   Add Admin Shortcode Button
		============================= */
		function df_shortcodes_init_button() {
			global $pagenow;
		   
			if ( (current_user_can('edit_posts') &&  current_user_can('edit_pages') ) && get_user_option( 'rich_editing' ) == 'true' && ( in_array( $pagenow, array( 'post.php', 'post-new.php', 'page-new.php', 'page.php' ) ) ) ) { 
					add_filter( 'mce_external_plugins', array( &$this, 'df_shortcodes_plugin' ) );
					add_filter( 'mce_buttons', array( &$this,'df_shortcodes_register_button' ) );
					wp_enqueue_style( 'df-shortcodes-admin-style', DF_SHORTCODES_URL . '/css/shortcodes-admin-style.css' );
			}
		}

		function df_shortcodes_plugin( $plugin_array ) {
		    $tinymce_js = DF_SHORTCODES_URL .'/js/admin/tinymce.js';
		    $plugin_array['DahzThemeShortcodes'] = $tinymce_js;
		    return $plugin_array;
		}

		function df_shortcodes_register_button( $buttons ) {
		    array_push( $buttons, 'DahzThemeShortcodes' );
		    return $buttons;
		}
	}
endif;
$df_shortcodes = new df_Shortcodes(); // Start an instance of the plugin class